package com.sxtvs.open.api.user.controller;

import com.sxtvs.open.api.user.dto.LoginDto;
import com.sxtvs.open.api.user.dto.TokenDto;
import com.sxtvs.open.api.user.entity.User;
import com.sxtvs.open.api.user.service.impl.UserServiceImpl;
import com.sxtvs.open.core.auth.LoginRequired;
import jakarta.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zyx
 * @since 2023-02-15
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserServiceImpl userService;

    @PostMapping("/login")
    public TokenDto login(@RequestBody @Valid LoginDto dto) {
        return userService.login(dto);
    }

    @RequestMapping("/info")
    @LoginRequired
    public User info() {
        return userService.getLoginUser();
    }

    @RequestMapping("/logout")
    @LoginRequired
    public void logout() {
        userService.logout();
    }

}
